#ifndef DEFS_H
#define DEFS_H

#include <wx/colour.h>
#include <wx/string.h>
#include <wx/xml/xml.h>

struct group_info {
	wxString name;
	double startingy;
	double length;
	wxXmlNode* get_node();
};

struct bkgd_item {
	wxString name;
	wxColour rgb;
	double start_left;
	double start_right;
	double end_left;
	double end_right;
	wxXmlNode* get_node(double startingy, double length);
};

struct frgd_item {
	wxString name;
	wxColour rgb;
	double start_left;
	double end_left;
	double width;
	double per_on;
	double per_off;
	double per_start;
	wxXmlNode* get_node(double startingy, double length);
};

#endif
